Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364633 - More docker selinux issues.
Summary: More docker selinux issues.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-06 07:33 UTC by Robin Powell
Modified: 2018-05-29 11:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:48:12 UTC


Attachments (Terms of Use)

Description Robin Powell 2016-08-06 07:33:57 UTC
My apologies if this duplicates another bug.

This is on a machine with unconfined disabled, and is all the AVCs from restarting docker and docker-cointainerd , building a new docker image,  and using the instance.

This certainly has non-docker-related things mixed in; my apologies.

http://paste.fedoraproject.org/402508/70468825/

Comment 1 Daniel Walsh 2016-08-08 12:52:40 UTC
You disabled dontaudit rules.  If I look at the avc's that do not have dontaudit rules, I see

type=AVC msg=audit(08/06/2016 00:30:33.254:430375) : avc:  denied  { getpgid } for  pid=29165 comm=sudo scontext=staff_u:staff_r:staff_sudo_t:s0-s0:c0.c1023 tcontext=staff_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process permissive=1
type=AVC msg=audit(08/06/2016 00:31:11.473:430684) : avc:  denied  { getpgid } for  pid=29165 comm=sudo scontext=staff_u:staff_r:staff_sudo_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tclass=process permissive=1

These two we should probably add.


And

type=AVC msg=audit(08/06/2016 00:31:11.472:430683) : avc:  denied  { signal } for  pid=24170 comm=zsh scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=staff_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process permissive=1

This looks like you newroled between unconfined_t and staff_t?

But I see nothing

Comment 3 Daniel Walsh 2016-08-08 12:55:54 UTC
Oops I did not disable unconfined domain.

In Rawhide docker-storage-setup is labeled as docker_exec_t, and now docker can transition to lvm_t when it executes lvm_exec_t,  So I think most of these should be handled in the latest docker-selinux package.

Comment 4 Fedora Admin XMLRPC Client 2016-09-27 14:53:22 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2017-02-28 10:03:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Fedora End Of Life 2018-05-03 08:03:18 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2018-05-29 11:48:12 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.